package com.srs.comprehensive.mapper;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.common.annotation.DataSource;
import com.srs.common.enums.DataSourceType;
import com.srs.comprehensive.domain.*;
import com.srs.comprehensive.domain.Vo.*;
import org.apache.ibatis.annotations.Mapper;

/**
 * 【请填写功能名称】Mapper接口
 * 
 * @author srs
 * @date 2023-06-28
 */
@Mapper
public interface SrsCourseScoreMapper extends BaseMapper<SrsCourseScore>
{


    public List<CphScoreVo> selectAllCourse(Long year);

    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public SrsCourseScore selectSrsCourseScoreById(Long id);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param srsCourseScore 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<SrsCourseScore> selectSrsCourseScoreList(SrsCourseScore srsCourseScore);

    /**
     * 新增【请填写功能名称】
     * 
     * @param srsCourseScore 【请填写功能名称】
     * @return 结果
     */
    public int insertSrsCourseScore(SrsCourseScore srsCourseScore);

    /**
     * 按学生id查询
     * @param stuId
     * @return
     */
    public SrsCourseScore selectStuIds(Long stuId);

    /**
     * 修改【请填写功能名称】
     * 
     * @param srsCourseScore 【请填写功能名称】
     * @return 结果
     */
    public int updateSrsCourseScore(SrsCourseScore srsCourseScore);

    /**
     * 删除【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteSrsCourseScoreById(Long id);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSrsCourseScoreByIds(Long[] ids);

    /**
     * 科学文化素质连表查询
     * @return 结果
     */
    List<SrsCourseScoreStudentStuYear> selectSrsCourseScoreStudentStuYear(SrsCourseScore srsCourseScore);

    /**
     * 体能测试连表查询
     * @return 结果
     */
    List<SrsSportTestStudentStuYear> selectSrsSportTestStudentStuYear(SrsSportTest srsSportTest);
    /**
     * 课程学习连表查询
     * @return
     */
    List<SrsStuYearS> selectStuYearStudent();

    List<SrsCeScoreClassDeptGradeMajorsStudentStuYear> selectGradeRanking(Map<String, Object> params);

    //中间表添加到本地表
    @DataSource(DataSourceType.SLAVE)
    List<SumCourseScore> selectSumCourseScore();
    @DataSource(DataSourceType.SLAVE)
    int updateSum(SumCourseScore sumCourseScore);
}
